Subject: bug#30309: Surprising behaviour of insert-kbd-macro

From: Noam Postavsky <[email-masked]>
Date: Fri, 29 Mar 2019 10:16:50 -0400

On Fri, 30 Nov 2018 at 03:37, Robert Pluim <[email-masked]> wrote:

> So I guess just checking for last-kbd-macro should be enough, since
> that should never have a legitimate key binding.

I think avoiding passing nil to where-is-internal would be cleaner (or
else stop where-is-internal from looking for bindings of nil). And it
would handle the non-interactive case of

(insert-kbd-macro 'something-not-fbound t)